#include <bits/stdc++.h>

using namespace std;


int n;
struct p{
    double plata;
    double procenat;
};
p niz[200004];
double mx=-1;
double rez;
bool cmp (p a,p b){
    return a.procenat<b.procenat or a.procenat==b.procenat and a.plata<=b.plata;
}

int main () {
    cin>>n;
    for(int i=1;i<=n;i++){
        cin>>niz[i].plata>>niz[i].procenat;
        niz[i].procenat/=100;
    }
    sort(niz+1,niz+n+1,cmp);
    for(int i=1;i<=n;i++){
        rez=0;
        for(int j=i;j<=n;j++){
            rez+=niz[i].procenat*niz[j].plata;
            //cout<<"j="<<j<<" "<<rez<<endl;
        }
        //cout<<"i="<<i<<" "<<rez<<endl;
        if(rez>mx){
            mx=rez;
        }
    }
    cout<<setprecision(4)<<fixed;
    cout<<mx<<endl;
    return 0;
}